import { TPrimitive } from '@flatfile/hooks';
import { FlatfileListener } from '@flatfile/listener';

declare function autocast(sheetSlug: string, fieldFilters?: string[], options?: {
    chunkSize?: number;
    parallel?: number;
    debug?: boolean;
}): (listener: FlatfileListener) => void;
declare function castString(value: TPrimitive): TPrimitive;
declare function castNumber(value: TPrimitive): TPrimitive;
declare const TRUTHY_VALUES: (string | number)[];
declare const FALSY_VALUES: (string | number)[];
declare function castBoolean(value: TPrimitive): TPrimitive;
declare function castDate(value: TPrimitive): TPrimitive;

export { FALSY_VALUES, TRUTHY_VALUES, autocast, castBoolean, castDate, castNumber, castString };
